Search found 312 matches

Go to advanced search

by jaisejames
Mon Jun 29, 2020 8:31 am
Forum: Open discussion
Topic: [Feature request] Unit Customization
Replies: 0
Views: 220

[Feature request] Unit Customization

Can we have something like this for unit customization. Currently we have limited unit editing based on gui.
unit details.jpg
unit details.jpg (40.13 KiB) Viewed 220 times
by jaisejames
Mon Jun 29, 2020 6:43 am
Forum: Python scripting and macros
Topic: Python Hasattr issue
Replies: 3
Views: 188

Re: Python Hasattr issue

by jaisejames
Mon Jun 29, 2020 4:57 am
Forum: Python scripting and macros
Topic: Why "App::PropertyVectorList" property can not be added to "Mesh::FeaturePython" model?
Replies: 13
Views: 491

Re: Why "App::PropertyVectorList" property can not be added to "Mesh::FeaturePython" model?

Thanks for implementing editor. There is one one issue for me. My vector Property editor is not movable. It is always in center & obstruct my 3d view. If I can move, I can see my polyline & edit it. If we click on table row, same time top id, x,y,x also sync, it will look nice. OS: Manjaro Linux (GN...
by jaisejames
Sun Jun 28, 2020 11:50 am
Forum: Python scripting and macros
Topic: Help on wrap around cylinder
Replies: 3
Views: 279

Re: Help on wrap around cylinder

I am able to create bend solid face wire for sheet-metal. sample.png Code is given below import FreeCAD, Part, math smEpsilon = 0.0000001 def smthk(obj, foldface) : normal = foldface.normalAt(0,0) theVol = obj.Volume if theVol < 0.0001: SMError("Shape is not a real 3D-object or to small for a metal-...
by jaisejames
Fri Jun 19, 2020 9:13 am
Forum: Help on using FreeCAD
Topic: Sheet Metal Workbench
Replies: 200
Views: 36591

Re: Sheet Metal Workbench

It is available in comments pull request.


https://github.com/shaise/FreeCAD_SheetMetal/pull/127
by jaisejames
Thu Jun 18, 2020 11:05 am
Forum: Open discussion
Topic: Parametric CAD modeler – CAD Builder
Replies: 15
Views: 1139

Parametric CAD modeler – CAD Builder

Parametric CAD modeler – CAD Builder from Open Cascade
https://www.opencascade.com/content/op ... d-modeler

Image

Looking Nice.
by jaisejames
Thu Jun 18, 2020 10:56 am
Forum: Python scripting and macros
Topic: Help on wrap around cylinder
Replies: 3
Views: 279

Re: Help on wrap around cylinder

My code to wrap a solid to around an axis. import FreeCAD import FreeCADGui from FreeCAD import Base import Part, math def getPointOnCylinder(zeroVert, poi, Radius, circent, axis, zeroVertNormal): dist = zeroVert.distanceToPlane(poi, zeroVertNormal) poi1 = poi.projectToPlane(zeroVert, zeroVertNormal...
by jaisejames
Sat Jun 13, 2020 2:52 pm
Forum: Python scripting and macros
Topic: Help on wrap around cylinder
Replies: 3
Views: 279

Help on wrap around cylinder

I was testing a macro as in code tag from forum. import FreeCAD import FreeCADGui from FreeCAD import Base import Part, DraftVecUtils import math def GetObjectByLabel(objectName): for obj in FreeCAD.ActiveDocument.Objects: if obj.Label == objectName: return obj return None def getPointOnCylinder(zer...

Go to advanced search